Skip to main content
GET
/
runbooks
List Runbooks
curl --request GET \
  --url https://use.hoop.dev/api/runbooks
import requests

url = "https://use.hoop.dev/api/runbooks"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://use.hoop.dev/api/runbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "errors": [
    "<string>"
  ],
  "repositories": [
    {
      "commit": "03c25fd64c74712c71798250d256d4b859dd5853",
      "commit_author": "John Wick <john.wick@bad.org>",
      "commit_message": "runbook update",
      "items": [
        {
          "connections": [
            "pgdemo",
            "bash"
          ],
          "error": "<string>",
          "metadata": {},
          "name": "ops/update-user.runbook.sh"
        }
      ],
      "repository": "github.com/myorg/myrepo"
    }
  ]
}
{
"message": "the error description"
}
{
"message": "the error description"
}

Query Parameters

connection_name
string

Filter runbooks by connection name

list_connections
boolean

Show connections allowed for each runbook.

remove_empty_connections
boolean

Remove runbooks with no connections.

Response

OK

errors
string[]

Errors encountered during fetching runbooks

repositories
object[]

List of runbook repositories